> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /superjob/resumes

> Get SuperJob resume details by id

**Price:** 1 credit

**⚠️ Common errors:** 412: Resume not found



## OpenAPI

````yaml /openapi/jobs.json post /api/superjob/resumes
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/superjob/resumes:
    post:
      tags:
        - /superjob
      summary: /superjob/resumes
      description: |-
        Get SuperJob resume details by id

        **Price:** 1 credit

        **⚠️ Common errors:** 412: Resume not found
      operationId: __api_superjob_resumes_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SuperjobResumePayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SuperjobResume'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SuperjobResumePayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        resume_id:
          type: string
          minLength: 1
      type: object
      required:
        - resume_id
    SuperjobResume:
      properties:
        '@type':
          type: string
          default: SuperjobResume
        id:
          type: integer
        url:
          type: string
        position:
          anyOf:
            - type: string
            - type: 'null'
        salary:
          anyOf:
            - type: integer
            - type: 'null'
        salary_currency:
          anyOf:
            - type: string
            - type: 'null'
        area_name:
          anyOf:
            - type: string
            - type: 'null'
        region_name:
          anyOf:
            - type: string
            - type: 'null'
        metro_stations:
          items:
            type: string
          type: array
          default: []
        gender:
          anyOf:
            - type: string
            - type: 'null'
        citizenship:
          anyOf:
            - type: string
            - type: 'null'
        marital_status:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        additional_information:
          anyOf:
            - type: string
            - type: 'null'
        key_skills:
          items:
            type: string
          type: array
          default: []
        languages:
          items:
            type: string
          type: array
          default: []
        driver_license_types:
          items:
            type: string
          type: array
          default: []
        catalogues:
          items:
            type: string
          type: array
          default: []
        experiences:
          items:
            $ref: '#/components/schemas/SuperjobResumeExperience'
          type: array
          default: []
        educations:
          items:
            $ref: '#/components/schemas/SuperjobResumeEducation'
          type: array
          default: []
        has_no_experience:
          anyOf:
            - type: boolean
            - type: 'null'
        remote_work:
          anyOf:
            - type: boolean
            - type: 'null'
        relocate_possibility:
          anyOf:
            - type: boolean
            - type: 'null'
        business_trip:
          anyOf:
            - type: boolean
            - type: 'null'
        is_volunteer:
          anyOf:
            - type: boolean
            - type: 'null'
        created_at:
          anyOf:
            - type: string
            - type: 'null'
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
        published_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    SuperjobResumeExperience:
      properties:
        '@type':
          type: string
          default: SuperjobResumeExperience
        position:
          anyOf:
            - type: string
            - type: 'null'
        responsibility:
          anyOf:
            - type: string
            - type: 'null'
        achievements:
          anyOf:
            - type: string
            - type: 'null'
        date_start:
          anyOf:
            - type: string
            - type: 'null'
        date_end:
          anyOf:
            - type: string
            - type: 'null'
        is_current:
          anyOf:
            - type: boolean
            - type: 'null'
        total_months:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    SuperjobResumeEducation:
      properties:
        '@type':
          type: string
          default: SuperjobResumeEducation
        level:
          anyOf:
            - type: string
            - type: 'null'
        level_label:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````